#!/usr/bin/env python3
#
# This example script reads a matrix element file and prints
# the contents.  The name of the file is taken from the sixth
# command-line argument if this is present and the first
# argument otherwise.
#
import numpy as np
import qcmatrixio as qcio
import re
import cmath
import sys
import QCOpMat as qco
import QCMatEl as qcm
import io
import pprint

def main():
  if len(sys.argv) >= 7: fname = sys.argv[6]
  else: fname = fname = sys.argv[1]
  print ("file",fname)

# mel = qcm.MatEl(debug=True,file=fname)
  mel = qcm.MatEl(file=fname)
  print (mel)

# rewrite the file
# fname = fname + "1"
# mel.write(fname)

main()
